        program vfix
c
c       fix magnitude info to match WDS
c
        character*10 wds(1200),wds1
        character*12 dd(1200),dd1
        character*5 v1(1200),v2(1200),v11,v22
        character*66 data1
        character*2 data2
        character*200 data3
c
        open(10,file='/home/wih/wds_vs_orb6.txt',status='UNKNOWN')
        open(11,file='orb6.master2',status='UNKNOWN')
        open(12,file='orb6.master3',status='UNKNOWN')
c
        nn=1142
        do 100 n=1,nn
  100   read(10,901) wds(n),dd(n),v1(n),v2(n)
  901   format(a10,a12,t38,a5,1x,a5)
c
  200   read(11,902,end=999) data1,v11,data2,v22,data3,wds1,dd1
  902   format(a66,a5,a2,a5,a200,t20,a10,1x,a12)
        if (wds1 .eq. '          ') go to 500
        do 300 n=1,nn
        if (wds1 .ne. wds(n)) go to 300
        if (dd1  .ne.  dd(n)) go to 300
        v11=v1(n)
        v22=v2(n)
        go to 500
  300   continue
c
  500   write(12,903) data1,v11,data2,v22,data3
  903   format(a66,a5,a2,a5,a200)
        go to 200
c
  999   stop
        end

